#!/bin/sh
#
# Copyright (c) Semarchy.  All rights reserved.
#
# PRODUCT Semarchy xDI Runtime
#   
#	This script allows to stop a Runtime.
#
#	Note:
#	To have an overview of the possible parameters, use the -usage parameter
#	
#	Examples:
#	stopengine.sh -usage
#	stopengine.sh -port 42000
#

if [ "$XDI_RUNTIME_HOME" = "" ]; then
        XDI_RUNTIME_HOME=.
        export XDI_RUNTIME_HOME
fi

. $XDI_RUNTIME_HOME/initvariables.sh

if [ "$STAMBIA_JAVA_HOME" = "" ]; then
        if [ "$JAVA_HOME" = "" ]; then
	        java $XDI_RUNTIME_VM_PROPERTIES $XDI_RUNTIME_STARTENGINE_VM_PROPERTIES $XDI_RUNTIME_SYSTEM_CLASSLOADER -Dstambia.classpath.v1.root="$XDI_RUNTIME_CLASSPATH_FOLDER1" -classpath "$XDI_RUNTIME_CLASSPATH" com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.command.EngineStopI "$@"
        else
                "$JAVA_HOME/bin/java" $XDI_RUNTIME_VM_PROPERTIES $XDI_RUNTIME_STARTENGINE_VM_PROPERTIES $XDI_RUNTIME_SYSTEM_CLASSLOADER -Dstambia.classpath.v1.root="$XDI_RUNTIME_CLASSPATH_FOLDER1" -classpath "$XDI_RUNTIME_CLASSPATH" com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.command.EngineStopI "$@"
        fi
else
	"$STAMBIA_JAVA_HOME/bin/java" $XDI_RUNTIME_VM_PROPERTIES $XDI_RUNTIME_STARTENGINE_VM_PROPERTIES $XDI_RUNTIME_SYSTEM_CLASSLOADER -Dstambia.classpath.v1.root="$XDI_RUNTIME_CLASSPATH_FOLDER1" -classpath "$XDI_RUNTIME_CLASSPATH" com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.command.EngineStopI "$@"
fi

